Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Interface TransPostControl

All Known Implementing Classes:
  ApplicationModuleImpl, ApplicationModuleImpl

public interface TransPostControl

Internal: Applications should not use this class.

Defines methods and constants for posting transactions.

Since:
  Jdeveloper 3.0

Field Summary
`static int` | `TRANS_POST_GET_ATTR_BY_INDEX`
`static int` | `TRANS_POST_GET_ATTR_BY_NAME`
`static int` | `TRANS_POST_GET_ATTR_COUNT`
`static int` | `TRANS_POST_GET_ATTR_INDEX_OF`
`static int` | `TRANS_POST_GET_STRUCTURE_DEF`
`static int` | `TRANS_POST_PUSHBACK`
`static int` | `TRANS_POST_REFRESH_UNDO_CHANGES`
`static int` | `TRANS_POST_REFRESH_WITH_DB_FORGET_CHANGES`
`static int` | `TRANS_POST_REFRESH_WITH_DB_ONLY_IF_UNCHANGED`
`static int` | `TRANS_POST_REMOVE`
`static int` | `TRANS_POST_SET_ATTR_BY_INDEX`
`static int` | `TRANS_POST_SET_ATTR_BY_NAME`

Method Summary
`void` | `transPostPushback(int hdl)` Internal: Applications should not use this method.
`void` | `transPostRefresh(int refreshMode, int hdl)`
`void` | `transPostRemove(int hdl)` Internal: Applications should not use this method.
`void` | `transPostRevert(int hdl)` Internal: Applications should not use this method.

Field Detail

### TRANS_POST_PUSHBACK

    public static final int TRANS_POST_PUSHBACK

  See Also:
    Constant Field Values

### TRANS_POST_REMOVE

    public static final int TRANS_POST_REMOVE

  See Also:
    Constant Field Values

### TRANS_POST_REFRESH_WITH_DB_FORGET_CHANGES

    public static final int TRANS_POST_REFRESH_WITH_DB_FORGET_CHANGES

  See Also:
    Constant Field Values

### TRANS_POST_REFRESH_WITH_DB_ONLY_IF_UNCHANGED

    public static final int TRANS_POST_REFRESH_WITH_DB_ONLY_IF_UNCHANGED

  See Also:
    Constant Field Values

### TRANS_POST_REFRESH_UNDO_CHANGES

    public static final int TRANS_POST_REFRESH_UNDO_CHANGES

  See Also:
    Constant Field Values

### TRANS_POST_GET_STRUCTURE_DEF

    public static final int TRANS_POST_GET_STRUCTURE_DEF

  See Also:
    Constant Field Values

### TRANS_POST_GET_ATTR_BY_INDEX

    public static final int TRANS_POST_GET_ATTR_BY_INDEX

  See Also:
    Constant Field Values

### TRANS_POST_GET_ATTR_BY_NAME

    public static final int TRANS_POST_GET_ATTR_BY_NAME

  See Also:
    Constant Field Values

### TRANS_POST_SET_ATTR_BY_INDEX

    public static final int TRANS_POST_SET_ATTR_BY_INDEX

  See Also:
    Constant Field Values

### TRANS_POST_SET_ATTR_BY_NAME

    public static final int TRANS_POST_SET_ATTR_BY_NAME

  See Also:
    Constant Field Values

### TRANS_POST_GET_ATTR_COUNT

    public static final int TRANS_POST_GET_ATTR_COUNT

  See Also:
    Constant Field Values

### TRANS_POST_GET_ATTR_INDEX_OF

    public static final int TRANS_POST_GET_ATTR_INDEX_OF

  See Also:
    Constant Field Values

Method Detail

### transPostPushback

    public void transPostPushback(int hdl)

  Internal: Applications should not use this method.

### transPostRemove

    public void transPostRemove(int hdl)

  Internal: Applications should not use this method.

### transPostRevert

    public void transPostRevert(int hdl)

  Internal: Applications should not use this method.

### transPostRefresh

    public void transPostRefresh(int refreshMode,
                                 int hdl)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.